package com.jwk.spring.boot.autoconfigure;

import org.springframework.boot.autoconfigure.condition.ConditionalOnProperty;
import org.springframework.boot.context.properties.EnableConfigurationProperties;
import org.springframework.context.annotation.Bean;
import org.springframework.context.annotation.Configuration;

/**
 * @author JWK
 * @version 1.0
 * @date 2022/12/2 14:46
 */
@EnableConfigurationProperties(Properties.class)
@Configuration
public class AutoConfiguration {


    /**
     * first
     *
     * @param properties
     * @return
     */
    @Bean
    @ConditionalOnProperty(prefix = "rfid.first", name = "open", havingValue = "true")
    public RfidReaderTemplate rfidReaderTemplateFirst(Properties properties) {
        Properties.SubProperties subProperties = properties.getFirst();
        return new RfidReaderTemplate(subProperties);
    }

    /**
     * second
     *
     * @param properties
     * @return
     */
    @Bean
    @ConditionalOnProperty(prefix = "rfid.second", name = "open", havingValue = "true")
    public RfidReaderTemplate rfidReaderTemplateSecond(Properties properties) {
        Properties.SubProperties subProperties = properties.getSecond();
        return new RfidReaderTemplate(subProperties);
    }

    /**
     * third
     *
     * @param properties
     * @return
     */
    @Bean
    @ConditionalOnProperty(prefix = "rfid.third", name = "open", havingValue = "true")
    public RfidReaderTemplate rfidReaderTemplateThird(Properties properties) {
        Properties.SubProperties subProperties = properties.getThird();
        return new RfidReaderTemplate(subProperties);
    }

    /**
     * fourth
     *
     * @param properties
     * @return
     */
    @Bean
    @ConditionalOnProperty(prefix = "rfid.fourth", name = "open", havingValue = "true")
    public RfidReaderTemplate rfidReaderTemplateFourth(Properties properties) {
        Properties.SubProperties subProperties = properties.getFourth();
        return new RfidReaderTemplate(subProperties);
    }

    /**
     * fifth
     *
     * @param properties
     * @return
     */
    @Bean
    @ConditionalOnProperty(prefix = "rfid.fifth", name = "open", havingValue = "true")
    public RfidReaderTemplate rfidReaderTemplateFifth(Properties properties) {
        Properties.SubProperties subProperties = properties.getFifth();
        return new RfidReaderTemplate(subProperties);
    }
}
