package com.jwk.spring.boot.autoconfigure;

import lombok.Data;
import org.springframework.boot.context.properties.ConfigurationProperties;

/**
 * @author JWK
 * @version 1.0
 * @date 2022/12/2 15:40
 */
@Data
@ConfigurationProperties(prefix = Properties.DEMO_PREFIX)
public class Properties {

    public static final String DEMO_PREFIX = "rfid";

    private SubProperties first;
    private SubProperties second;
    private SubProperties third;
    private SubProperties fourth;
    private SubProperties fifth;


    @Data
    public static class SubProperties {
        /**
         * 开启连接
         */
        private boolean open = false;

        /**
         * ip地址
         */
        private String host = "127.0.0.1";

        /**
         * 端口
         */
        private Integer port = 5084;

        /**
         * 连接超时时间
         */
        private Integer timeoutMilliseconds = 0;

        /**
         * 读取标签数量
         */
        private Integer numberOfTags = 10;

    }
}
