package com.jwk.spring.boot.autoconfigure;

import com.jwk.spring.boot.rfid.RfidReaderUtil;
import com.jwk.spring.boot.rfid.RfidReaderClient;


/**
 * 注入方式:
 * '@Autowired(required = false)'
 * '@Qualifier("rfidReaderTemplateFirst")'
 * private RfidReaderTemplate rfidReaderTemplateFirst;
 * 在某些特定情况下，没有open=true的bean千万不要注入,@Autowired(required = false)也不行.
 *
 * @author JWK
 * @version 1.0
 * @date 2022/9/7 17:00
 */
public class RfidReaderTemplate {


    private RfidReaderClient rfidReaderClient;
    private RfidReaderUtil rfidReaderUtil;

    /**
     * 初始化连接
     *
     * @param properties
     */
    public RfidReaderTemplate(Properties.SubProperties properties) {
        rfidReaderClient = new RfidReaderClient(properties);
        rfidReaderClient.connectAsync();
    }

    public RfidReaderUtil getRfidReaderUtil() {
        rfidReaderUtil = rfidReaderClient.getRfidReaderUtil();
        return rfidReaderUtil;
    }
}
